Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Interface PortalObjectContainer

All Known Implementing Classes:
  AbstractPortalObjectContainer, PersistentPortalObjectContainer, TransientPortalObjectContainer

    public interface PortalObjectContainer

A container for portal object.

Version:
  $Revision: 11795 $
Author:
  Julien Viet

Method Summary
`Context` | `createContext(java.lang.String namespace)`
`AuthorizationDomain` | `getAuthorizationDomain()` Get the authorization domain.
`Context` | `getContext()` Returns the default root object.
`Context` | `getContext(java.lang.String namespace)`
`PortalObject` | `getObject(PortalObjectId id)` Returns a portal object or null if it cannot be found.
`
`<T extends PortalObject> T`
` | `getObject(PortalObjectId id, java.lang.Class<T> expectedType)` Returns the portal object of the specified type identified with the specified identified or `null` if it cannot be found.

Method Detail

### getObject

    PortalObject getObject(PortalObjectId id)
                           throws java.lang.IllegalArgumentException

  Returns a portal object or null if it cannot be found.

  Parameters:
    `id` - the portal object id
  Returns:
    the specified portal object
  Throws:
    `java.lang.IllegalArgumentException` - if the id is null

### getObject

    <T extends PortalObject> T getObject(PortalObjectId id,
                                         java.lang.Class<T> expectedType)
                                     throws java.lang.IllegalArgumentException

  Returns the portal object of the specified type identified with the specified identified or `null` if it cannot be found.

  Type Parameters:
    `T` - a class extending PortalObject
  Parameters:
    `id` - the portal object identifier
    `expectedType` - the expected type of the object to be retrieved
  Returns:
    the PortalObject identified by the specified id or `null` if it cannot be found
  Throws:
    `java.lang.IllegalArgumentException` - if the specified id or the specified class is `null`
  Since:
    2.7

### getContext

    Context getContext()

  Returns the default root object.

  Returns:
    a root object

### getContext

    Context getContext(java.lang.String namespace)

### createContext

    Context createContext(java.lang.String namespace)
                          throws DuplicatePortalObjectException

  Throws:
    `DuplicatePortalObjectException`

### getAuthorizationDomain

    AuthorizationDomain getAuthorizationDomain()

  Get the authorization domain.

  Returns:
    the authorization domain

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD